#{extends 'border.html'/}
<div class="container">
#{form @admin.ProdukKategoriAtributCtr.createPosisiSubmit(pkid, kid),method:'POST', class:'form-horizontal'}
	<input name="positions" id="position" type="hidden">
	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{admin.KomoditasCtr.index()}">&{'komoditas.label'}</a></li>
				<li><a href="@{admin.ProdukKategoriCtr.index(kid)}">&{'kategori_produk.label'}</a></li>
				<li class="active">&{'hirarki_kategori_produk.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton action:@admin.ProdukKategoriCtr.index(kid) /}
				#{saveButton /}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-default">
				<div class="panel-body">
                    <div role="tabpanel" class="tab-pane active" id="tab-form">
                        <!-- Form Form Produk Kategori Posisi -->
                        <section>
                            <h5>&{'keterangan.label'}:</h5>
                            <p>&{'komoditas.produkatribut.position.info'}</p>
                        </section>
                        <ol class="sortable ui-sortable">
							#{list results, as:'item'}
                                    #{produkkategoritags.produkKategoriAtributPositionItem item:item /}
							#{/list}
                        </ol>
                    </div>
				</div>
			</div>
		</div>
	</div>
#{/form}
</div>

#{set 'moreScripts'}
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="http://mjsarfatti.com/sandbox/nestedSortable/jquery.ui.touch-punch.js"></script>
<script src="@{'/public/javascripts/jquery.mjs.nestedSortable.js'}" type="text/javascript"> </script>
<script type="text/javascript">

    $(document).ready(function () {
        $('.sortable').nestedSortable({
            handle: 'div',
            items: 'li',
            maxLevels: 2,
            toleranceElement: '> div',
            relocate: function() {
                var array = $('ol.sortable').nestedSortable('toArray', {startDepthCount: 0});
                var result = [];
                var totalEmptyName = 0;
                for (var i in array) {
                    var item = array[i];
                    if (item.id) {
                        item['name'] = $("#list_" + item.id).find("input[type=text]").val();
                        if (item.name === '') {
                            totalEmptyName++;
                        }
                    }
                    result.push(item);
                }
                // console.log(JSON.stringify(result));
                if (totalEmptyName === 0) {
                    $('#position').val(JSON.stringify(array));
                } else {
                    alert("Terdapat kategori tidak memiliki nama");
                }
            }
        });

        $('.disclose').on('click', function() {
            $(this).closest('li').toggleClass('mjs-nestedSortable-collapsed').toggleClass('mjs-nestedSortable-expanded');
        })
    });

</script>
#{/set}
